<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMarketMenuItemManager Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/de6/a05981.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMarketMenuItemManager Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionMarketMenuItemManager:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/de6/a05981.png" usemap="#ExpansionMarketMenuItemManager_map" alt=""/>
  <map id="ExpansionMarketMenuItemManager_map" name="ExpansionMarketMenuItemManager_map">
<area href="../../d3/d45/a05057.html" alt="ExpansionScriptView" shape="rect" coords="0,0,214,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af892ccc75758cfbd7f3b41e7a0402606"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#af892ccc75758cfbd7f3b41e7a0402606">ExpansionMarketMenuItemManager</a> (<a class="el" href="../../d6/d55/a05925.html">ExpansionMarketMenu</a> marketMenu)</td></tr>
<tr class="separator:af892ccc75758cfbd7f3b41e7a0402606"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01d961e4de97bc2e154fe9c25cf001f5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a01d961e4de97bc2e154fe9c25cf001f5">GetLayoutFile</a> ()</td></tr>
<tr class="separator:a01d961e4de97bc2e154fe9c25cf001f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd8b2ef8038e963ade3eb2d21fecb5e"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a5cd8b2ef8038e963ade3eb2d21fecb5e">GetControllerType</a> ()</td></tr>
<tr class="separator:a5cd8b2ef8038e963ade3eb2d21fecb5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5322479aca28ea087d87d495f9725457"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a5322479aca28ea087d87d495f9725457">SetMarketItem</a> (<a class="el" href="../../d4/d90/a05253.html">ExpansionMarketItem</a> marketItem)</td></tr>
<tr class="separator:a5322479aca28ea087d87d495f9725457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a720f58ca46b6d857235b7210852746e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a720f58ca46b6d857235b7210852746e5">UpdatePreview</a> ()</td></tr>
<tr class="separator:a720f58ca46b6d857235b7210852746e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c760aa044b85cb46287820ff2e85d7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a7c760aa044b85cb46287820ff2e85d7c">RefreshPreview</a> ()</td></tr>
<tr class="separator:a7c760aa044b85cb46287820ff2e85d7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72bb2819125bc95af036ac56535f4db3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a72bb2819125bc95af036ac56535f4db3">UpdateMainView</a> ()</td></tr>
<tr class="separator:a72bb2819125bc95af036ac56535f4db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab85925e77db6e94476e0d55954758d4f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ab85925e77db6e94476e0d55954758d4f">AddCategory</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> title, array&lt; <a class="el" href="../../d0/d4a/a01862.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> &gt; attachTypes, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> icon)</td></tr>
<tr class="separator:ab85925e77db6e94476e0d55954758d4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac72f6f9c182bfe01428348bf56bf007b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ac72f6f9c182bfe01428348bf56bf007b">SetListView</a> (TStringArray <a class="el" href="../../dc/dce/a01505.html#adfb4a8c515aa01502dc7b4878569f2bd">attachments</a>)</td></tr>
<tr class="separator:ac72f6f9c182bfe01428348bf56bf007b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a523114c7e25703a2b36379589fc563aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a523114c7e25703a2b36379589fc563aa">UpdateListView</a> ()</td></tr>
<tr class="separator:a523114c7e25703a2b36379589fc563aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa21b79a9e1d3249bea195caf6f9f7f7e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#aa21b79a9e1d3249bea195caf6f9f7f7e">OnSavePresetButtonClick</a> ()</td></tr>
<tr class="separator:aa21b79a9e1d3249bea195caf6f9f7f7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6317e287c681ba22e0a416f2284bea8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ab6317e287c681ba22e0a416f2284bea8">VestCleanup</a> (<a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a> preset)</td></tr>
<tr class="separator:ab6317e287c681ba22e0a416f2284bea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaeb44927c9e5926738a45d2404358a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#adaeb44927c9e5926738a45d2404358a7">LoadLocalItemPresets</a> ()</td></tr>
<tr class="separator:adaeb44927c9e5926738a45d2404358a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fe9b64d2eb508d268f5c8be7843a758"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a9fe9b64d2eb508d268f5c8be7843a758">LoadLocalItemPresets</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> path)</td></tr>
<tr class="separator:a9fe9b64d2eb508d268f5c8be7843a758"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27df04ea57da3e99dc7c3f26ec977357"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a27df04ea57da3e99dc7c3f26ec977357">UpdatePresetElements</a> ()</td></tr>
<tr class="separator:a27df04ea57da3e99dc7c3f26ec977357"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2bb62b675469f2e56bf2f75c51f5709"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ac2bb62b675469f2e56bf2f75c51f5709">OnPresetEditboxClearButtonClick</a> ()</td></tr>
<tr class="separator:ac2bb62b675469f2e56bf2f75c51f5709"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a055180aa40809d9c5630acd577548116"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a055180aa40809d9c5630acd577548116">OnPresetSelectorClick</a> ()</td></tr>
<tr class="separator:a055180aa40809d9c5630acd577548116"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5217045240d0cd25647e740a625b9b35"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a5217045240d0cd25647e740a625b9b35">SetAttachmentsFromPreset</a> (<a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a> preset)</td></tr>
<tr class="separator:a5217045240d0cd25647e740a625b9b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2484a03b136eac17227f3bd316b8b79f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a2484a03b136eac17227f3bd316b8b79f">IsPresetValidCheck</a> (<a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a> preset)</td></tr>
<tr class="separator:a2484a03b136eac17227f3bd316b8b79f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51bc17b4f5df59911d77a378250bf60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#aa51bc17b4f5df59911d77a378250bf60">UpdateMenuViews</a> (bool updatePreview=true)</td></tr>
<tr class="separator:aa51bc17b4f5df59911d77a378250bf60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af932018299c3ae68ea7741fc7e2deaf1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#af932018299c3ae68ea7741fc7e2deaf1">DeleteItemPreset</a> (<a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a> preset, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> path)</td></tr>
<tr class="separator:af932018299c3ae68ea7741fc7e2deaf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86c22465390df646a0911a8c4b1c6a11"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a86c22465390df646a0911a8c4b1c6a11">OnCloseButtonClick</a> ()</td></tr>
<tr class="separator:a86c22465390df646a0911a8c4b1c6a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0993ca7f89e92384950deaf580628f2c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/d05/a05985.html">ExpansionMarketMenuItemManagerController</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a0993ca7f89e92384950deaf580628f2c">GetMarketItemManagerController</a> ()</td></tr>
<tr class="separator:a0993ca7f89e92384950deaf580628f2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d9c9a23c6e2b31f9da03b3fec81267b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a5d9c9a23c6e2b31f9da03b3fec81267b">OnResetButtonClick</a> ()</td></tr>
<tr class="separator:a5d9c9a23c6e2b31f9da03b3fec81267b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88142b1bf5fdadc04aa21a3d7da3a33b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a88142b1bf5fdadc04aa21a3d7da3a33b">UpdateRotation</a> (int mouse_x, int mouse_y, bool is_dragging)</td></tr>
<tr class="separator:a88142b1bf5fdadc04aa21a3d7da3a33b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a636d9d440da5508589aca44edaa5edfd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a636d9d440da5508589aca44edaa5edfd">UpdateScale</a> ()</td></tr>
<tr class="separator:a636d9d440da5508589aca44edaa5edfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93e49585e24ab4a6379d9909ce1994ba"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a93e49585e24ab4a6379d9909ce1994ba">OnHide</a> ()</td></tr>
<tr class="separator:a93e49585e24ab4a6379d9909ce1994ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fbd63b7c589b97350077c8781beedf7"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a8fbd63b7c589b97350077c8781beedf7">OnMouseButtonDown</a> (Widget w, int x, int y, int button)</td></tr>
<tr class="separator:a8fbd63b7c589b97350077c8781beedf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe658e9cb0bf9de948fd817df600a994"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#abe658e9cb0bf9de948fd817df600a994">OnMouseWheel</a> (Widget w, int x, int y, int wheel)</td></tr>
<tr class="separator:abe658e9cb0bf9de948fd817df600a994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bcc62ed57a08a47dc45c208d3540288"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a1bcc62ed57a08a47dc45c208d3540288">OnMouseEnter</a> (Widget w, int x, int y)</td></tr>
<tr class="separator:a1bcc62ed57a08a47dc45c208d3540288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fb1a7fad57248c37bf94f7f0414bd1c"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a1fb1a7fad57248c37bf94f7f0414bd1c">OnMouseLeave</a> (Widget w, Widget enterW, int x, int y)</td></tr>
<tr class="separator:a1fb1a7fad57248c37bf94f7f0414bd1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f135e9c325911e568be1aab30f02a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a32f135e9c325911e568be1aab30f02a1">CreateNotification</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> text)</td></tr>
<tr class="separator:a32f135e9c325911e568be1aab30f02a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac884f89d5cc7bf393788a95cdf8e4636"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ac884f89d5cc7bf393788a95cdf8e4636">CreateErrorNotification</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> text)</td></tr>
<tr class="separator:ac884f89d5cc7bf393788a95cdf8e4636"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d5811011e3996f9ff4c9a0f151d3343"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/d55/a05925.html">ExpansionMarketMenu</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a8d5811011e3996f9ff4c9a0f151d3343">GetMarketMenu</a> ()</td></tr>
<tr class="separator:a8d5811011e3996f9ff4c9a0f151d3343"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a519b8dfcc692f67c71145370427581cf"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d7/d05/a05985.html">ExpansionMarketMenuItemManagerController</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a519b8dfcc692f67c71145370427581cf">m_MarketItemManagerController</a></td></tr>
<tr class="separator:a519b8dfcc692f67c71145370427581cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36c9a384aca8a71a5d21f1f726121f98"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d6/d55/a05925.html">ExpansionMarketMenu</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a36c9a384aca8a71a5d21f1f726121f98">m_MarketMenu</a></td></tr>
<tr class="separator:a36c9a384aca8a71a5d21f1f726121f98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3612116ca5a6a2a8f48f260d3379239"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/d90/a05253.html">ExpansionMarketItem</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#af3612116ca5a6a2a8f48f260d3379239">m_MarketItem</a></td></tr>
<tr class="separator:af3612116ca5a6a2a8f48f260d3379239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a273aa16ed921193a49e396af51d8bb4a"><td class="memItemLeft" align="right" valign="top">ScrollWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a273aa16ed921193a49e396af51d8bb4a">market_item_manager_category_items_scroller</a></td></tr>
<tr class="separator:a273aa16ed921193a49e396af51d8bb4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57b22c963d0f2b88ae1f21daa669dcab"><td class="memItemLeft" align="right" valign="top">protected ItemPreviewWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a57b22c963d0f2b88ae1f21daa669dcab">market_item_manager_preview</a></td></tr>
<tr class="separator:a57b22c963d0f2b88ae1f21daa669dcab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b6165771aa56adbb8db80c03da26f9a"><td class="memItemLeft" align="right" valign="top">protected ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a9b6165771aa56adbb8db80c03da26f9a">market_item_manager_back_button</a></td></tr>
<tr class="separator:a9b6165771aa56adbb8db80c03da26f9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43796929d50cf6e9b6f9e5028a3a2eb4"><td class="memItemLeft" align="right" valign="top">protected ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a43796929d50cf6e9b6f9e5028a3a2eb4">market_item_manager_back_button_icon</a></td></tr>
<tr class="separator:a43796929d50cf6e9b6f9e5028a3a2eb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa03f8f3ab303dc0d3d4bb4b41d07cd8f"><td class="memItemLeft" align="right" valign="top">protected ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#aa03f8f3ab303dc0d3d4bb4b41d07cd8f">button_close</a></td></tr>
<tr class="separator:aa03f8f3ab303dc0d3d4bb4b41d07cd8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a1265ef4455b5a403a07a35d5eeec84"><td class="memItemLeft" align="right" valign="top">protected TextWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a8a1265ef4455b5a403a07a35d5eeec84">button_close_label</a></td></tr>
<tr class="separator:a8a1265ef4455b5a403a07a35d5eeec84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac315715b8f1b657c850d1174ae149f71"><td class="memItemLeft" align="right" valign="top">protected ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ac315715b8f1b657c850d1174ae149f71">button_reset</a></td></tr>
<tr class="separator:ac315715b8f1b657c850d1174ae149f71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea457b768ffe5d4cdf392c666f495a5f"><td class="memItemLeft" align="right" valign="top">protected TextWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#aea457b768ffe5d4cdf392c666f495a5f">button_reset_label</a></td></tr>
<tr class="separator:aea457b768ffe5d4cdf392c666f495a5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a02d471a9a3f1acdf24ff77a017e63f"><td class="memItemLeft" align="right" valign="top">protected ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a4a02d471a9a3f1acdf24ff77a017e63f">button_save</a></td></tr>
<tr class="separator:a4a02d471a9a3f1acdf24ff77a017e63f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7a8415a27fe8b503a3f62808236bf6f"><td class="memItemLeft" align="right" valign="top">protected ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ad7a8415a27fe8b503a3f62808236bf6f">market_item_manager_header</a></td></tr>
<tr class="separator:ad7a8415a27fe8b503a3f62808236bf6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ddf005be796dcf802bb3d04d77678d6"><td class="memItemLeft" align="right" valign="top">protected TextWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a2ddf005be796dcf802bb3d04d77678d6">market_item_manager_header_text</a></td></tr>
<tr class="separator:a2ddf005be796dcf802bb3d04d77678d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b22d8cffd82911bb4f8543c735b9b72"><td class="memItemLeft" align="right" valign="top">protected ImageWidget market_item_manager_options_background protected ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a2b22d8cffd82911bb4f8543c735b9b72">preset_selector</a></td></tr>
<tr class="separator:a2b22d8cffd82911bb4f8543c735b9b72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a810c9efe469b9b82eaefe9a1b656b9b8"><td class="memItemLeft" align="right" valign="top">protected ScrollWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a810c9efe469b9b82eaefe9a1b656b9b8">preset_selector_container</a></td></tr>
<tr class="separator:a810c9efe469b9b82eaefe9a1b656b9b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6c14afb27a753390b6d91f0a84605dd"><td class="memItemLeft" align="right" valign="top">protected ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#aa6c14afb27a753390b6d91f0a84605dd">preset_selector_collapse_image</a></td></tr>
<tr class="separator:aa6c14afb27a753390b6d91f0a84605dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20db15e8baf9b831ec7c0316f213297"><td class="memItemLeft" align="right" valign="top">protected ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ae20db15e8baf9b831ec7c0316f213297">preset_selector_expand_image</a></td></tr>
<tr class="separator:ae20db15e8baf9b831ec7c0316f213297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a167b5683b9b941e0a4fc259b95c5ee"><td class="memItemLeft" align="right" valign="top">protected Widget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a6a167b5683b9b941e0a4fc259b95c5ee">preset_selector_background</a></td></tr>
<tr class="separator:a6a167b5683b9b941e0a4fc259b95c5ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a942e6e2bf43531d67be97981550be8d8"><td class="memItemLeft" align="right" valign="top">protected Widget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a942e6e2bf43531d67be97981550be8d8">preset_editbox_background</a></td></tr>
<tr class="separator:a942e6e2bf43531d67be97981550be8d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a739aaad1e4e757dee3c9379166d87a"><td class="memItemLeft" align="right" valign="top">protected EditBoxWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a7a739aaad1e4e757dee3c9379166d87a">preset_editbox</a></td></tr>
<tr class="separator:a7a739aaad1e4e757dee3c9379166d87a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7e71f73a69d865d22e2223b8d13fd74"><td class="memItemLeft" align="right" valign="top">protected ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#ad7e71f73a69d865d22e2223b8d13fd74">preset_editbox_clear</a></td></tr>
<tr class="separator:ad7e71f73a69d865d22e2223b8d13fd74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73dd20b1adcd27397d7730d988cb003f"><td class="memItemLeft" align="right" valign="top">protected ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a73dd20b1adcd27397d7730d988cb003f">market_filter_clear_icon</a></td></tr>
<tr class="separator:a73dd20b1adcd27397d7730d988cb003f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d5825b7a74ac42c121303b3aa3d55cb"><td class="memItemLeft" align="right" valign="top">protected vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a9d5825b7a74ac42c121303b3aa3d55cb">m_ItemOrientation</a></td></tr>
<tr class="separator:a9d5825b7a74ac42c121303b3aa3d55cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2352f68bb40d051cc40146f5fd7cd3d3"><td class="memItemLeft" align="right" valign="top">protected int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a2352f68bb40d051cc40146f5fd7cd3d3">m_ItemRotationX</a></td></tr>
<tr class="separator:a2352f68bb40d051cc40146f5fd7cd3d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31a49141aaaaf83dc70527f1e4866310"><td class="memItemLeft" align="right" valign="top">protected int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a31a49141aaaaf83dc70527f1e4866310">m_ItemRotationY</a></td></tr>
<tr class="separator:a31a49141aaaaf83dc70527f1e4866310"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf216d783c15d3af7816bfa55c4de981"><td class="memItemLeft" align="right" valign="top">protected int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#acf216d783c15d3af7816bfa55c4de981">m_ItemScaleDelta</a></td></tr>
<tr class="separator:acf216d783c15d3af7816bfa55c4de981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9dc677b8c05093188e91f59e8283d19f"><td class="memItemLeft" align="right" valign="top">ref array&lt; ref <a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de6/a05981.html#a9dc677b8c05093188e91f59e8283d19f">m_ItemManagerPresets</a> = new array&lt;ref <a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a>&gt;</td></tr>
<tr class="separator:a9dc677b8c05093188e91f59e8283d19f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../db/d4b/a01883.html">ExpansionMarketMenuItemManager.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00013">13</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af892ccc75758cfbd7f3b41e7a0402606" name="af892ccc75758cfbd7f3b41e7a0402606"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af892ccc75758cfbd7f3b41e7a0402606">&#9670;&#160;</a></span>ExpansionMarketMenuItemManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::ExpansionMarketMenuItemManager </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d55/a05925.html">ExpansionMarketMenu</a>&#160;</td>
          <td class="paramname"><em>marketMenu</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00053">53</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab85925e77db6e94476e0d55954758d4f" name="ab85925e77db6e94476e0d55954758d4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab85925e77db6e94476e0d55954758d4f">&#9670;&#160;</a></span>AddCategory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::AddCategory </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; <a class="el" href="../../d0/d4a/a01862.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> &gt;&#160;</td>
          <td class="paramname"><em>attachTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>icon</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00149">149</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="ac884f89d5cc7bf393788a95cdf8e4636" name="ac884f89d5cc7bf393788a95cdf8e4636"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac884f89d5cc7bf393788a95cdf8e4636">&#9670;&#160;</a></span>CreateErrorNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::CreateErrorNotification </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00569">569</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a32f135e9c325911e568be1aab30f02a1" name="a32f135e9c325911e568be1aab30f02a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32f135e9c325911e568be1aab30f02a1">&#9670;&#160;</a></span>CreateNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::CreateNotification </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00564">564</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="af932018299c3ae68ea7741fc7e2deaf1" name="af932018299c3ae68ea7741fc7e2deaf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af932018299c3ae68ea7741fc7e2deaf1">&#9670;&#160;</a></span>DeleteItemPreset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::DeleteItemPreset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a>&#160;</td>
          <td class="paramname"><em>preset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00404">404</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a5cd8b2ef8038e963ade3eb2d21fecb5e" name="a5cd8b2ef8038e963ade3eb2d21fecb5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cd8b2ef8038e963ade3eb2d21fecb5e">&#9670;&#160;</a></span>GetControllerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionMarketMenuItemManager::GetControllerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00075">75</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a01d961e4de97bc2e154fe9c25cf001f5" name="a01d961e4de97bc2e154fe9c25cf001f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01d961e4de97bc2e154fe9c25cf001f5">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarketMenuItemManager::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00070">70</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a0993ca7f89e92384950deaf580628f2c" name="a0993ca7f89e92384950deaf580628f2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0993ca7f89e92384950deaf580628f2c">&#9670;&#160;</a></span>GetMarketItemManagerController()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/d05/a05985.html">ExpansionMarketMenuItemManagerController</a> ExpansionMarketMenuItemManager::GetMarketItemManagerController </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00426">426</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a8d5811011e3996f9ff4c9a0f151d3343" name="a8d5811011e3996f9ff4c9a0f151d3343"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d5811011e3996f9ff4c9a0f151d3343">&#9670;&#160;</a></span>GetMarketMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/d55/a05925.html">ExpansionMarketMenu</a> ExpansionMarketMenuItemManager::GetMarketMenu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00574">574</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a2484a03b136eac17227f3bd316b8b79f" name="a2484a03b136eac17227f3bd316b8b79f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2484a03b136eac17227f3bd316b8b79f">&#9670;&#160;</a></span>IsPresetValidCheck()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketMenuItemManager::IsPresetValidCheck </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a>&#160;</td>
          <td class="paramname"><em>preset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00366">366</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="adaeb44927c9e5926738a45d2404358a7" name="adaeb44927c9e5926738a45d2404358a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adaeb44927c9e5926738a45d2404358a7">&#9670;&#160;</a></span>LoadLocalItemPresets() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::LoadLocalItemPresets </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00274">274</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a9fe9b64d2eb508d268f5c8be7843a758" name="a9fe9b64d2eb508d268f5c8be7843a758"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fe9b64d2eb508d268f5c8be7843a758">&#9670;&#160;</a></span>LoadLocalItemPresets() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::LoadLocalItemPresets </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00296">296</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a86c22465390df646a0911a8c4b1c6a11" name="a86c22465390df646a0911a8c4b1c6a11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86c22465390df646a0911a8c4b1c6a11">&#9670;&#160;</a></span>OnCloseButtonClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::OnCloseButtonClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00419">419</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a93e49585e24ab4a6379d9909ce1994ba" name="a93e49585e24ab4a6379d9909ce1994ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93e49585e24ab4a6379d9909ce1994ba">&#9670;&#160;</a></span>OnHide()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionMarketMenuItemManager::OnHide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00467">467</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a8fbd63b7c589b97350077c8781beedf7" name="a8fbd63b7c589b97350077c8781beedf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fbd63b7c589b97350077c8781beedf7">&#9670;&#160;</a></span>OnMouseButtonDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMarketMenuItemManager::OnMouseButtonDown </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00476">476</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a1bcc62ed57a08a47dc45c208d3540288" name="a1bcc62ed57a08a47dc45c208d3540288"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bcc62ed57a08a47dc45c208d3540288">&#9670;&#160;</a></span>OnMouseEnter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMarketMenuItemManager::OnMouseEnter </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00501">501</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a1fb1a7fad57248c37bf94f7f0414bd1c" name="a1fb1a7fad57248c37bf94f7f0414bd1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fb1a7fad57248c37bf94f7f0414bd1c">&#9670;&#160;</a></span>OnMouseLeave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMarketMenuItemManager::OnMouseLeave </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>enterW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00532">532</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="abe658e9cb0bf9de948fd817df600a994" name="abe658e9cb0bf9de948fd817df600a994"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe658e9cb0bf9de948fd817df600a994">&#9670;&#160;</a></span>OnMouseWheel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMarketMenuItemManager::OnMouseWheel </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>wheel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00489">489</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="ac2bb62b675469f2e56bf2f75c51f5709" name="ac2bb62b675469f2e56bf2f75c51f5709"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2bb62b675469f2e56bf2f75c51f5709">&#9670;&#160;</a></span>OnPresetEditboxClearButtonClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::OnPresetEditboxClearButtonClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00332">332</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a055180aa40809d9c5630acd577548116" name="a055180aa40809d9c5630acd577548116"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a055180aa40809d9c5630acd577548116">&#9670;&#160;</a></span>OnPresetSelectorClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::OnPresetSelectorClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00338">338</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a5d9c9a23c6e2b31f9da03b3fec81267b" name="a5d9c9a23c6e2b31f9da03b3fec81267b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d9c9a23c6e2b31f9da03b3fec81267b">&#9670;&#160;</a></span>OnResetButtonClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::OnResetButtonClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00431">431</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="aa21b79a9e1d3249bea195caf6f9f7f7e" name="aa21b79a9e1d3249bea195caf6f9f7f7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa21b79a9e1d3249bea195caf6f9f7f7e">&#9670;&#160;</a></span>OnSavePresetButtonClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::OnSavePresetButtonClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00208">208</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a7c760aa044b85cb46287820ff2e85d7c" name="a7c760aa044b85cb46287820ff2e85d7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c760aa044b85cb46287820ff2e85d7c">&#9670;&#160;</a></span>RefreshPreview()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::RefreshPreview </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00107">107</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a5217045240d0cd25647e740a625b9b35" name="a5217045240d0cd25647e740a625b9b35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5217045240d0cd25647e740a625b9b35">&#9670;&#160;</a></span>SetAttachmentsFromPreset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::SetAttachmentsFromPreset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a>&#160;</td>
          <td class="paramname"><em>preset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00346">346</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="ac72f6f9c182bfe01428348bf56bf007b" name="ac72f6f9c182bfe01428348bf56bf007b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac72f6f9c182bfe01428348bf56bf007b">&#9670;&#160;</a></span>SetListView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::SetListView </td>
          <td>(</td>
          <td class="paramtype">TStringArray&#160;</td>
          <td class="paramname"><em>attachments</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00160">160</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a5322479aca28ea087d87d495f9725457" name="a5322479aca28ea087d87d495f9725457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5322479aca28ea087d87d495f9725457">&#9670;&#160;</a></span>SetMarketItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::SetMarketItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d90/a05253.html">ExpansionMarketItem</a>&#160;</td>
          <td class="paramname"><em>marketItem</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00080">80</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a523114c7e25703a2b36379589fc563aa" name="a523114c7e25703a2b36379589fc563aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a523114c7e25703a2b36379589fc563aa">&#9670;&#160;</a></span>UpdateListView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::UpdateListView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00196">196</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a72bb2819125bc95af036ac56535f4db3" name="a72bb2819125bc95af036ac56535f4db3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72bb2819125bc95af036ac56535f4db3">&#9670;&#160;</a></span>UpdateMainView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::UpdateMainView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00113">113</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="aa51bc17b4f5df59911d77a378250bf60" name="aa51bc17b4f5df59911d77a378250bf60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa51bc17b4f5df59911d77a378250bf60">&#9670;&#160;</a></span>UpdateMenuViews()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::UpdateMenuViews </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>updatePreview</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00391">391</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a27df04ea57da3e99dc7c3f26ec977357" name="a27df04ea57da3e99dc7c3f26ec977357"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27df04ea57da3e99dc7c3f26ec977357">&#9670;&#160;</a></span>UpdatePresetElements()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::UpdatePresetElements </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00315">315</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a720f58ca46b6d857235b7210852746e5" name="a720f58ca46b6d857235b7210852746e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a720f58ca46b6d857235b7210852746e5">&#9670;&#160;</a></span>UpdatePreview()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::UpdatePreview </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00092">92</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a88142b1bf5fdadc04aa21a3d7da3a33b" name="a88142b1bf5fdadc04aa21a3d7da3a33b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88142b1bf5fdadc04aa21a3d7da3a33b">&#9670;&#160;</a></span>UpdateRotation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::UpdateRotation </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mouse_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mouse_y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>is_dragging</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00438">438</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a636d9d440da5508589aca44edaa5edfd" name="a636d9d440da5508589aca44edaa5edfd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a636d9d440da5508589aca44edaa5edfd">&#9670;&#160;</a></span>UpdateScale()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::UpdateScale </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00452">452</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="ab6317e287c681ba22e0a416f2284bea8" name="ab6317e287c681ba22e0a416f2284bea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6317e287c681ba22e0a416f2284bea8">&#9670;&#160;</a></span>VestCleanup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketMenuItemManager::VestCleanup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a>&#160;</td>
          <td class="paramname"><em>preset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00267">267</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa03f8f3ab303dc0d3d4bb4b41d07cd8f" name="aa03f8f3ab303dc0d3d4bb4b41d07cd8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa03f8f3ab303dc0d3d4bb4b41d07cd8f">&#9670;&#160;</a></span>button_close</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ButtonWidget ExpansionMarketMenuItemManager::button_close</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00025">25</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a8a1265ef4455b5a403a07a35d5eeec84" name="a8a1265ef4455b5a403a07a35d5eeec84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a1265ef4455b5a403a07a35d5eeec84">&#9670;&#160;</a></span>button_close_label</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected TextWidget ExpansionMarketMenuItemManager::button_close_label</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00026">26</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="ac315715b8f1b657c850d1174ae149f71" name="ac315715b8f1b657c850d1174ae149f71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac315715b8f1b657c850d1174ae149f71">&#9670;&#160;</a></span>button_reset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ButtonWidget ExpansionMarketMenuItemManager::button_reset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00027">27</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="aea457b768ffe5d4cdf392c666f495a5f" name="aea457b768ffe5d4cdf392c666f495a5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea457b768ffe5d4cdf392c666f495a5f">&#9670;&#160;</a></span>button_reset_label</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected TextWidget ExpansionMarketMenuItemManager::button_reset_label</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00028">28</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a4a02d471a9a3f1acdf24ff77a017e63f" name="a4a02d471a9a3f1acdf24ff77a017e63f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a02d471a9a3f1acdf24ff77a017e63f">&#9670;&#160;</a></span>button_save</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ButtonWidget ExpansionMarketMenuItemManager::button_save</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00029">29</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a9dc677b8c05093188e91f59e8283d19f" name="a9dc677b8c05093188e91f59e8283d19f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9dc677b8c05093188e91f59e8283d19f">&#9670;&#160;</a></span>m_ItemManagerPresets</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;ref <a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a>&gt; ExpansionMarketMenuItemManager::m_ItemManagerPresets = new array&lt;ref <a class="el" href="../../d0/d4e/a06005.html">ExpansionMarketMenuItemManagerPreset</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00051">51</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a9d5825b7a74ac42c121303b3aa3d55cb" name="a9d5825b7a74ac42c121303b3aa3d55cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d5825b7a74ac42c121303b3aa3d55cb">&#9670;&#160;</a></span>m_ItemOrientation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected vector ExpansionMarketMenuItemManager::m_ItemOrientation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00046">46</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a2352f68bb40d051cc40146f5fd7cd3d3" name="a2352f68bb40d051cc40146f5fd7cd3d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2352f68bb40d051cc40146f5fd7cd3d3">&#9670;&#160;</a></span>m_ItemRotationX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected int ExpansionMarketMenuItemManager::m_ItemRotationX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00047">47</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a31a49141aaaaf83dc70527f1e4866310" name="a31a49141aaaaf83dc70527f1e4866310"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31a49141aaaaf83dc70527f1e4866310">&#9670;&#160;</a></span>m_ItemRotationY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected int ExpansionMarketMenuItemManager::m_ItemRotationY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00048">48</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="acf216d783c15d3af7816bfa55c4de981" name="acf216d783c15d3af7816bfa55c4de981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf216d783c15d3af7816bfa55c4de981">&#9670;&#160;</a></span>m_ItemScaleDelta</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected int ExpansionMarketMenuItemManager::m_ItemScaleDelta</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00049">49</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="af3612116ca5a6a2a8f48f260d3379239" name="af3612116ca5a6a2a8f48f260d3379239"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3612116ca5a6a2a8f48f260d3379239">&#9670;&#160;</a></span>m_MarketItem</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/d90/a05253.html">ExpansionMarketItem</a> ExpansionMarketMenuItemManager::m_MarketItem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00017">17</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a519b8dfcc692f67c71145370427581cf" name="a519b8dfcc692f67c71145370427581cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a519b8dfcc692f67c71145370427581cf">&#9670;&#160;</a></span>m_MarketItemManagerController</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d7/d05/a05985.html">ExpansionMarketMenuItemManagerController</a> ExpansionMarketMenuItemManager::m_MarketItemManagerController</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00015">15</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a36c9a384aca8a71a5d21f1f726121f98" name="a36c9a384aca8a71a5d21f1f726121f98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36c9a384aca8a71a5d21f1f726121f98">&#9670;&#160;</a></span>m_MarketMenu</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d6/d55/a05925.html">ExpansionMarketMenu</a> ExpansionMarketMenuItemManager::m_MarketMenu</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00016">16</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a73dd20b1adcd27397d7730d988cb003f" name="a73dd20b1adcd27397d7730d988cb003f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73dd20b1adcd27397d7730d988cb003f">&#9670;&#160;</a></span>market_filter_clear_icon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ImageWidget ExpansionMarketMenuItemManager::market_filter_clear_icon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00044">44</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a9b6165771aa56adbb8db80c03da26f9a" name="a9b6165771aa56adbb8db80c03da26f9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b6165771aa56adbb8db80c03da26f9a">&#9670;&#160;</a></span>market_item_manager_back_button</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ButtonWidget ExpansionMarketMenuItemManager::market_item_manager_back_button</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00022">22</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a43796929d50cf6e9b6f9e5028a3a2eb4" name="a43796929d50cf6e9b6f9e5028a3a2eb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43796929d50cf6e9b6f9e5028a3a2eb4">&#9670;&#160;</a></span>market_item_manager_back_button_icon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ImageWidget ExpansionMarketMenuItemManager::market_item_manager_back_button_icon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00023">23</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a273aa16ed921193a49e396af51d8bb4a" name="a273aa16ed921193a49e396af51d8bb4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a273aa16ed921193a49e396af51d8bb4a">&#9670;&#160;</a></span>market_item_manager_category_items_scroller</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ScrollWidget ExpansionMarketMenuItemManager::market_item_manager_category_items_scroller</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00019">19</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="ad7a8415a27fe8b503a3f62808236bf6f" name="ad7a8415a27fe8b503a3f62808236bf6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7a8415a27fe8b503a3f62808236bf6f">&#9670;&#160;</a></span>market_item_manager_header</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ImageWidget ExpansionMarketMenuItemManager::market_item_manager_header</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00031">31</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a2ddf005be796dcf802bb3d04d77678d6" name="a2ddf005be796dcf802bb3d04d77678d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ddf005be796dcf802bb3d04d77678d6">&#9670;&#160;</a></span>market_item_manager_header_text</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected TextWidget ExpansionMarketMenuItemManager::market_item_manager_header_text</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00032">32</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a57b22c963d0f2b88ae1f21daa669dcab" name="a57b22c963d0f2b88ae1f21daa669dcab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57b22c963d0f2b88ae1f21daa669dcab">&#9670;&#160;</a></span>market_item_manager_preview</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ItemPreviewWidget ExpansionMarketMenuItemManager::market_item_manager_preview</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00021">21</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a7a739aaad1e4e757dee3c9379166d87a" name="a7a739aaad1e4e757dee3c9379166d87a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a739aaad1e4e757dee3c9379166d87a">&#9670;&#160;</a></span>preset_editbox</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected EditBoxWidget ExpansionMarketMenuItemManager::preset_editbox</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00041">41</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a942e6e2bf43531d67be97981550be8d8" name="a942e6e2bf43531d67be97981550be8d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a942e6e2bf43531d67be97981550be8d8">&#9670;&#160;</a></span>preset_editbox_background</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected Widget ExpansionMarketMenuItemManager::preset_editbox_background</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00040">40</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="ad7e71f73a69d865d22e2223b8d13fd74" name="ad7e71f73a69d865d22e2223b8d13fd74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7e71f73a69d865d22e2223b8d13fd74">&#9670;&#160;</a></span>preset_editbox_clear</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ButtonWidget ExpansionMarketMenuItemManager::preset_editbox_clear</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00043">43</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a2b22d8cffd82911bb4f8543c735b9b72" name="a2b22d8cffd82911bb4f8543c735b9b72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b22d8cffd82911bb4f8543c735b9b72">&#9670;&#160;</a></span>preset_selector</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ImageWidget market_item_manager_options_background protected ButtonWidget ExpansionMarketMenuItemManager::preset_selector</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00035">35</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a6a167b5683b9b941e0a4fc259b95c5ee" name="a6a167b5683b9b941e0a4fc259b95c5ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a167b5683b9b941e0a4fc259b95c5ee">&#9670;&#160;</a></span>preset_selector_background</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected Widget ExpansionMarketMenuItemManager::preset_selector_background</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00039">39</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="aa6c14afb27a753390b6d91f0a84605dd" name="aa6c14afb27a753390b6d91f0a84605dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6c14afb27a753390b6d91f0a84605dd">&#9670;&#160;</a></span>preset_selector_collapse_image</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ImageWidget ExpansionMarketMenuItemManager::preset_selector_collapse_image</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00037">37</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="a810c9efe469b9b82eaefe9a1b656b9b8" name="a810c9efe469b9b82eaefe9a1b656b9b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a810c9efe469b9b82eaefe9a1b656b9b8">&#9670;&#160;</a></span>preset_selector_container</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ScrollWidget ExpansionMarketMenuItemManager::preset_selector_container</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00036">36</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<a id="ae20db15e8baf9b831ec7c0316f213297" name="ae20db15e8baf9b831ec7c0316f213297"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae20db15e8baf9b831ec7c0316f213297">&#9670;&#160;</a></span>preset_selector_expand_image</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ImageWidget ExpansionMarketMenuItemManager::preset_selector_expand_image</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/a01883_source.html#l00038">38</a> of file <a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Market/Scripts/5_mission/dayzexpansion_market/market/<a class="el" href="../../db/d4b/a01883_source.html">expansionmarketmenuitemmanager.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/de6/a05981.html">ExpansionMarketMenuItemManager</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
